# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define myvendor	LandShark Networks
%define date		%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%define desktop_vendor CentOS
%{!?_dist: %{expand: %%define dist el4}}

Summary: 	A KDE frontend for various vpn clients. 
Name:   	kvpnc
Version: 	0.8.2
Release: 	1.%{dist}.lsn
Source0: 	%{name}-%{version}.tar.bz2
License:  	GPL
Group: 		Applications/Networking
Url:		http://home.gna.org/kvpnc/
Packager:	%{myname} %{myemail}

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	kdelibs-devel libjpeg-devel libpng-devel libgcrypt-devel

Buildarch: 	i386


%description
KVpnc is a KDE Desktop Environment frontend for various vpn clients.
It supports Cisco VPN (vpnc), IPSec (FreeS/WAN (OpenS/WAN), racoon), PPTP (pptpclient) and OpenVPN.

%prep
%setup -q

%build
%configure --disable-rpath --disable-debug --with-xinerama --with-fpic --with-gnu-ld
%{__make}


%install
install -d %{buildroot}/%{_datadir}/config/
make install-strip DESTDIR=%buildroot

#Install application link for X-Windows
echo -e "[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application" > %{name}.desktop
                                                                                                                             
install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Extra                                  \
  --add-category Application                                      \
  --add-category Network					  \
  %{name}.desktop


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/kvpnc
%{_datadir}/applications/%{desktop_vendor}-kvpnc.desktop
%{_datadir}/doc/HTML/kvpnc/vpnc-0.2-err.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.2-err-sort.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.2-strings.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.3.1-err.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.3.1-err-newlines.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.3.1-err-sort.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-0.3.1-strings.txt
%{_datadir}/doc/HTML/kvpnc/vpnc-err.txt
%{_datadir}/doc/HTML/kvpnc/pptp.txt
%{_datadir}/doc/HTML/kvpnc/openvpn.txt
%{_datadir}/doc/HTML/kvpnc/debian_compile.txt
%{_datadir}/doc/HTML/en/kvpnc/dock_connected.png
%{_datadir}/doc/HTML/en/kvpnc/dock_disconnected.png
%{_datadir}/doc/HTML/en/kvpnc/handbook.pot
%{_datadir}/doc/HTML/en/kvpnc/import_cisco_pcf.png
%{_datadir}/doc/HTML/en/kvpnc/import_pkcs12_certifcate.png
%{_datadir}/doc/HTML/en/kvpnc/index.docbook
%{_datadir}/doc/HTML/en/kvpnc/mainwindow.png
%{_datadir}/doc/HTML/en/kvpnc/new_profile.png
%{_datadir}/doc/HTML/en/kvpnc/settings_global.png
%{_datadir}/doc/HTML/en/kvpnc/settings_profiles.png
%{_datadir}/doc/HTML/en/kvpnc/settings_programs.png
%{_datadir}/doc/HTML/en/kvpnc/index.cache.bz2
%{_datadir}/doc/HTML/kvpnc/debian_compile_debug.txt
%{_datadir}/doc/HTML/en/kvpnc/common
%{_datadir}/doc/HTML/kvpnc/der_import.txt
%{_datadir}/doc/HTML/kvpnc/vpnc_connect_script_dns_patch_fix.txt
%{_datadir}/doc/HTML/de/kvpnc/index.docbook
%{_datadir}/doc/HTML/de/kvpnc/dock_connected.png
%{_datadir}/doc/HTML/de/kvpnc/dock_disconnected.png
%{_datadir}/doc/HTML/de/kvpnc/handbook.po
%{_datadir}/doc/HTML/de/kvpnc/handbook.mo
%{_datadir}/doc/HTML/de/kvpnc/import_cisco_pcf.png
%{_datadir}/doc/HTML/de/kvpnc/import_pkcs12_certifcate.png
%{_datadir}/doc/HTML/de/kvpnc/mainwindow.png
%{_datadir}/doc/HTML/de/kvpnc/new_profile.png
%{_datadir}/doc/HTML/de/kvpnc/settings_global.png
%{_datadir}/doc/HTML/de/kvpnc/settings_profiles.png
%{_datadir}/doc/HTML/de/kvpnc/settings_programs.png
%{_datadir}/doc/HTML/de/kvpnc/index.cache.bz2
%{_datadir}/doc/HTML/de/kvpnc/common
%{_datadir}/doc/HTML/fr/kvpnc/dock_connected.png
%{_datadir}/doc/HTML/fr/kvpnc/dock_disconnected.png
%{_datadir}/doc/HTML/fr/kvpnc/handbook.po
%{_datadir}/doc/HTML/fr/kvpnc/import_cisco_pcf.png
%{_datadir}/doc/HTML/fr/kvpnc/import_pkcs12_certifcate.png
%{_datadir}/doc/HTML/fr/kvpnc/index.cache.bz2
%{_datadir}/doc/HTML/fr/kvpnc/index.docbook
%{_datadir}/doc/HTML/fr/kvpnc/mainwindow.png
%{_datadir}/doc/HTML/fr/kvpnc/new_profile.png
%{_datadir}/doc/HTML/fr/kvpnc/settings_global.png
%{_datadir}/doc/HTML/fr/kvpnc/settings_profiles.png
%{_datadir}/doc/HTML/fr/kvpnc/settings_programs.png
%{_datadir}/apps/kvpnc/ping_check.sh
%{_datadir}/doc/HTML/fr/kvpnc/config.log
%{_datadir}/doc/HTML/fr/kvpnc/index.docbook.old
%{_datadir}/doc/HTML/kvpnc/README.handbook
%{_datadir}/doc/HTML/kvpnc/gentoo_compile.txt
%{_datadir}/doc/HTML/kvpnc/update_handbook.sh
%{_datadir}/locale/de/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/fr/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/es/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/hu/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/pl/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/it/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/nl/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/sk/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/bg/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/ru/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/ca/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/tr/LC_MESSAGES/kvpnc.mo
%{_datadir}/locale/sv/LC_MESSAGES/kvpnc.mo
%{_datadir}/applnk/Internet/kvpnc.desktop
%{_datadir}/apps/kvpnc/kvpncui.rc
%{_datadir}/apps/kvpnc/eventsrc
%{_datadir}/icons/locolor/32x32/apps/kvpnc.png
%{_datadir}/icons/locolor/16x16/apps/kvpnc.png
%{_datadir}/icons/locolor/22x22/apps/kvpnc.png
%{_datadir}/icons/hicolor/32x32/apps/kvpnc.png
%{_datadir}/icons/hicolor/32x32/actions/kvpnc-connected.png
%{_datadir}/icons/hicolor/32x32/actions/kvpnc-connecting.png
%{_datadir}/icons/hicolor/32x32/actions/kvpnc-disconnected.png
%{_datadir}/icons/hicolor/16x16/apps/kvpnc.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-connected.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-connecting.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-disconnected.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-certimport.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-profilenew.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-donate.png
%{_datadir}/icons/hicolor/22x22/apps/kvpnc.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-connected.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-connecting.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-disconnected.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-certimport.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-pcfimport.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-profilenew.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-donate.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-cisco.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-kame.png
%{_datadir}/icons/hicolor/16x16/actions/kvpnc-user.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-cisco.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-kame.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-route.png
%{_datadir}/icons/hicolor/22x22/actions/kvpnc-user.png
%{_datadir}/icons/locolor/16x16/actions/kvpnc-cisco.png
%{_datadir}/icons/locolor/16x16/actions/kvpnc-kame.png
%{_datadir}/icons/locolor/16x16/actions/kvpnc-route.png
%{_datadir}/icons/locolor/16x16/actions/kvpnc-user.png
%{_datadir}/icons/locolor/22x22/actions/kvpnc-cisco.png
%{_datadir}/icons/locolor/22x22/actions/kvpnc-kame.png
%{_datadir}/icons/locolor/22x22/actions/kvpnc-user.png


%changelog
* %{date} %myname %myemail - %version-%release
- Update to %version-%release for CentOS 4.
